%global source_dir  %{_datadir}/libev-source
%global inst_srcdir %{buildroot}/%{source_dir}

Summary:          High-performance event loop/event model with lots of features
Name:             libev
Version:          4.33
Release:          8%{?dist}
License:          BSD or GPLv2+
URL:              http://software.schmorp.de/pkg/libev.html
Source0:          http://dist.schmorp.de/libev/Attic/%{name}-%{version}.tar.gz

BuildRequires:    gcc autoconf automake make 
BuildRequires:    coreutils findutils libtool tar
Provides:         bundled(libecb) = 1.05

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%package devel
Summary:          Development headers for libev
Requires:         %{name} = %{version}-%{release}

%description devel
This package contains the development headers and libraries for libev. 

%package libevent-devel
Summary:          Compatibility development header with libevent for %{name}.
Requires:         %{name}-devel = %{version}-%{release}
# Its event.h file always conflicts with libevent-devel
Conflicts:        libevent-devel
 
%description libevent-devel
This package contains a development header to make libev compatible with libevent.

%package -n libev-source
Summary:          High-performance event loop/event model with lots of features
BuildArch:        noarch
Provides:         bundled(libecb) = 1.05

%description -n libev-source
This package contains the source code for libev.

%prep
%autosetup
autoreconf -vfi

%build
%configure --disable-static --with-pic
%make_build

%check
make check

%install
%make_install
rm -vf %{buildroot}%{_libdir}/%{name}.la

# Make the source package
mkdir -p %{inst_srcdir}
find . -type f | grep -E '.*\.(c|h|am|ac|inc|m4|h.in|man.pre|pl|txt)$' | xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
install -p -m 0644 Changes ev.pod LICENSE README %{inst_srcdir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc Changes README
%{_libdir}/%{name}.so.4*

%files devel
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{name}.so
%{_mandir}/man?/*

%files libevent-devel
%{_includedir}/event.h

%files -n libev-source
%{source_dir}

%changelog
* Thu Feb 13 2025 doupengda <doupengda@loongson.cn> - 4.33-8
- [Type] other
- [DESC] add libev-source package

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 29 2022 Wang Guodong <gordonwwang@tencent.com> - 4.33-2
- Move event.h from libev-devel to a subpackage(libev-event-devel), so 
  libev-devel no longer conflicts with libevent-devel.

* Fri Apr 08 2022 jackbertluo <jackbertluo@tencent.com> - 4.33-1 
- Initial build
